// async/awaitを使ったやり方：asyncは必ずPromiseを返す
async function testAsync(word) {
	return word;
}
async function callAsync() {
	let value = await testAsync("callAsync");
	console.log(value); // callAsync と表示される
}
callAsync();

// ECMAScript 2015スタイルのPromiseを使ったやり方
function testPromise(word) {
	return Promise.resolve(word);
}
function callPromise() {
	let p = testPromise("callPromise")
		.then(value => {
			console.log(value); // callPromise と表示される
		});
	return p;
}
callPromise();

// asyncを使った関数はPromiseを返す！ の実例
// 関数のBodyは callPromise と同じ構造
function callMixed() {
	let p = testAsync("callMixed") // Promiseが返ってくる
		.then(value => {
			console.log(value); // callMixed と表示される
		});
	return p;
}
callMixed();
