let obj = {
	testA: 1,
};
Object.defineProperty(
	obj,
	"testB",
	{
		configurable: false,
		enumerable: false,
		writable: true,
		value: () => Math.random(),
	}
);

// 今まではプロパティ名の指定が必要
let props1 = Object.getOwnPropertyDescriptor(obj, "testA");
/* 以下の内容が表示される（適宜改行しています）
{
	value: 1,
	writable: true,
	enumerable: true,
	configurable: true
}
 */
console.log(props1);

// Object.getOwnPropertyDescriptors だとすべて取れる
/* 以下の内容が表示される（適宜改行しています）
{
	testA: {
		value: 1,
		writable: true,
		enumerable: true,
		configurable: true
	},
	testB: {
		value: [Function: value],
		writable: true,
		enumerable: false,
		configurable: false
	}
}
 */
let props2 = Object.getOwnPropertyDescriptors(obj);
console.log(props2);
